function [I_Ks,a_n,b_n] = update_I_Ks(con,V_m,ac,n)
% Slowly activating delayed rectifier K+ current.
% The formulation of this current was taken from the Kurata model 2002.
%
% Joachim Behar, 04-05-2017
% Bioenergetics and Bioelectric Systems Lab
% Technion, Haifa, Israel
%
%
%    This program is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program; if not, write to the Free Software
%    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

%g_Ks = con.g_Ks*((2+con.g_kmax*ac.PKA)/(ac.PKA+con.g_K05)-con.g_kmin);
%I_Ks = con.C*g_Ks*(V_m-con.E_Ks)*n^2;
I_Ks = con.C*con.g_Ks*(V_m-con.E_Ks)*n^2;
%V_shift = con.V_smax*ac.PKA/(con.k_05k+ac.PKA)-con.V_smin;
V_shift = 0; % FIXME: for now I put that to zero

alpha_n = 0.014/(1+exp(-(V_m+V_shift-40)/9));
beta_n = 0.001*exp(-(V_m+V_shift)/45);
n_inf = alpha_n/(alpha_n+beta_n);
tho_n = 1/(alpha_n+beta_n);

a_n = n_inf/tho_n;
b_n = (1-n_inf)/tho_n;
end





