function I_NaK = update_I_NaK(con,V_m,ac)
% Na + -K + pump current (I NaK)
% The formulation of this current was taken from the Kurata model 2002.
%
% Joachim Behar, 04-05-2017
% Bioenergetics and Bioelectric Systems Lab
% Technion, Haifa, Israel
%
%
%    This program is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program; if not, write to the Free Software
%    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


%INAK_ATP = 1.005/(1+con.k_NaK_ATP/ac.ATP*(1+(con.CATPi-ac.ATP)/con.k_NaK_ADP));
INAK_ATP = 1;
I_NaK = con.C*con.I_NaKmax*INAK_ATP./((1+(con.K_mKp/con.Ko).^1.2)*...
    (1+(con.K_mNap/con.Nai)^1.3).*(1+exp(-(V_m-con.E_Na+120)./30)));
end